Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Movie
Name | ### frameRate()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.frameRate(2);
      myMovie.loop();
    }

    void draw() {
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }
Description | Sets how often frames are read from the movie. Setting the fps parameter to 4, for example, will cause 4 frames to be read per second.
Syntax |
    mov.frameRate(fps)
Parameters |
mov | any variable of type Movie
fps | float: speed of the movie in frames per second
Returns | None
Usage | Web & Application

Updated on June 14, 2010 12:05:23pm EDT